Package org.pushingpixels.substance.internal.animation

# Class IconGlowTracker

java.lang.Object
org.pushingpixels.substance.internal.animation.IconGlowTracker

public class IconGlowTracker extends Object

## Constructor Summary

Constructors
Constructor
Description
`IconGlowTracker(Component component)`

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
`float`
`getIconGlowPosition()`
`boolean`
`isPlaying()`
`void`
`play()`
`void`
`play(int fullLoopCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IconGlowTracker

public IconGlowTracker(Component component)

## Method Details

### play

public void play()

### play

public void play(int fullLoopCount)

### isPlaying

public boolean isPlaying()

### cancel

public void cancel()

### getIconGlowPosition

public float getIconGlowPosition()